### Method

# Gtk Entryget_placeholder_text

#### Declaration [src]

    const char*
    gtk_entry_get_placeholder_text (
      GtkEntry* entry
    )

#### Description [src]

Retrieves the text that will be displayed when `entry` is empty and unfocused.

Gets property | `Gtk.Entry:placeholder-text`

#### Return value

Type: `const char*`

A pointer to the placeholder text as a string. This string points to internally allocated storage in the widget and must not be freed, modified or stored. If no placeholder text has been set, `NULL` will be returned.

The data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.